# _ArgParser
<span class="source-link">[[Source]](src/cli/command_parser.md#L337)</span>
```pony
primitive val _ArgParser
```

## Constructors

### create
<span class="source-link">[[Source]](src/cli/command_parser.md#L337)</span>


```pony
new val create()
: _ArgParser val^
```

#### Returns

* [_ArgParser](cli-_ArgParser.md) val^

---

## Public Functions

### parse
<span class="source-link">[[Source]](src/cli/command_parser.md#L338)</span>


```pony
fun box parse(
  spec: ArgSpec val,
  arg: String val)
: (Arg val | SyntaxError val)
```
#### Parameters

*   spec: [ArgSpec](cli-ArgSpec.md) val
*   arg: [String](builtin-String.md) val

#### Returns

* ([Arg](cli-Arg.md) val | [SyntaxError](cli-SyntaxError.md) val)

---

### eq
<span class="source-link">[[Source]](src/cli/command_parser.md#L338)</span>


```pony
fun box eq(
  that: _ArgParser val)
: Bool val
```
#### Parameters

*   that: [_ArgParser](cli-_ArgParser.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/cli/command_parser.md#L338)</span>


```pony
fun box ne(
  that: _ArgParser val)
: Bool val
```
#### Parameters

*   that: [_ArgParser](cli-_ArgParser.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

